package com.nantian.cloud.dbcapp.service;

import com.nantian.cloud.dbcapp.bean.PublicInstitutionAverage;
import com.nantian.cloud.dbcapp.bean.PublicInstitutionDomain;
import com.nantian.cloud.dbcapp.bean.PublicInstitutionNumDomain;

import java.util.List;

public interface PublicInstutionNumService {
    PublicInstitutionDomain getPublicInstitutionDomain(String area, String instution, String time);

    PublicInstitutionNumDomain getPublicInstutionNum(String area, String instution, String time);

    PublicInstitutionAverage getPublicInstitutionAverageNum(String area, String instution, String time);

    List<Object> getEveryAreaData(String institution, String time);

    List<Object> getChartData();
}
